# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure(2) do |config|

  config.vm.box = "centos/7"
  config.vm.box_url = "https://app.vagrantup.com/centos/boxes/7"
  
  # IP設定
  local_ip = "192.168.33.30"
  # イントラネットのパブリックIP 各自で適当に変更
  #public_ip = "パブリックIP"
  # gitのID/PASSを設定する sshなら不要
  git_id = ""
  git_pass = ""
  config.ssh.forward_agent = true

  # config.vm.box_check_update = false
  config.vm.network "forwarded_port", guest: 80, host: 8080
  config.vm.network "private_network", ip: local_ip
  #config.vm.network "public_network", ip: public_ip
  config.vm.synced_folder ".", "/vagrant", type:"nfs"
  #config.vm.synced_folder ".", "/vagrant", type: "virtualbox"
  
  # PCスペック次第で変更する
  config.vm.provider "virtualbox" do |vb|
    vb.cpus = 2
    vb.memory = "4096"
    vb.customize ["modifyvm", :id, "--natdnsproxy1", "off", "--natdnshostresolver1", "off", "--paravirtprovider", "kvm"]
  end
  
  # nfsを利用する場合
  config.winnfsd.uid = 1000
  config.winnfsd.gid = 1000


  # provisioning
  #config.vm.provision :shell, path: "provision/basic.sh"
  config.vm.provision :shell, path: "provision/app.sh", args: [git_id, git_pass], privileged: false
  config.vm.provision :shell, path: "provision/docker.sh"
  #config.vm.provision :shell, path: "provision/http.sh"
  #config.vm.provision :shell, path: "provision/db.sh"
  #config.vm.provision :shell, path: "provision/node.sh"
  #config.vm.provision :shell, path: "provision/php.sh"
  
  config.vm.provision :shell, run: "always", inline: "cd /vagrant;docker-compose up -d"
  
end
